/*
 * Copyright (c) 2012 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @class Config
 */
function Config() {
    'use strict';
    return;
}

(function strict() { // strict mode wrapper
    'use strict';
    Config.prototype = {

        properties: {
            'systemContactImageDirPath': '/opt/data/contacts-svc/img/',
            'defaultAvatarUrl': 'images/default.jpg',
            'templateDir': 'templates',
            'localstorageConfigKey': 'configData',
            'templateExtension': '.tpl',
            'convertedPhotoUrl': 'file:///opt/media/Images/output.png'
        },

        /**
         * Returns config value.
         * @param {string} key
         * @param {*} defaultValue
         */
        get: function get(key, defaultValue) {
            defaultValue = defaultValue || '';

            if (this.properties.hasOwnProperty(key)) {
                return this.properties[key];
            }
            return defaultValue;
        }
    };
}());